# CoinMetricsClient.get\_taxonomy\_assets\_metadata

```python
coinmetrics.api_client.CoinMetricsClient.get_taxonomy_assets_metadata(
    start_time=None,
    end_time=None,
    start_inclusive=None,
    end_inclusive=None,
    page_size=None,
    paging_from=None,
    version=None,
)
```

Returns metadata about the assets, sectors, and industries included in the CM taxonomy

* **Parameters:**
  * **start\_time** (*Optional* \*\[\**Union* \*\[\**datetime* *,* *date* *,* [*str*](https://docs.python.org/3/library/stdtypes.html#str) *]* *]*) -- Start time for the taxonomy version file. ISO-8601 format date. Inclusive by default
  * **end\_time** (*Optional* \*\[\**Union* \*\[\**datetime* *,* *date* *,* [*str*](https://docs.python.org/3/library/stdtypes.html#str) *]* *]*) -- End time for the taxonomy version file. ISO-8601 format date. Exclusive by default
  * **start\_inclusive** ([*str*](https://docs.python.org/3/library/stdtypes.html#str)) -- Start time of taxonomy version.
  * **end\_inclusive** ([*str*](https://docs.python.org/3/library/stdtypes.html#str)) -- End time of taxonomy version.
  * **page\_size** (*Optional* *\[*[*int*](https://docs.python.org/3/library/functions.html#int) *]*) -- Page size for # of asset metadata to return, will default to 100
  * **paging\_from** (*Optional* *\[*[*str*](https://docs.python.org/3/library/stdtypes.html#str) *]*) -- Which direction to page from "start" or "end". "end" by default
  * **version** (*Optional* *\[*[*str*](https://docs.python.org/3/library/stdtypes.html#str) *]*) -- Version to query, default is "latest".

**Returns:**

* Datacollection
  * Returns a data collection containing the taxonomy assets


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://gitbook-docs.coinmetrics.io/python-api-client/reference/coinmetricsclient/taxonomy/get_taxonomy_assets_metadata.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
